<?php
require_once '../../classes/dao.php';
if (!isset($team))
    $team = 'usa';

?>
    <!DOCTYPE html>
    <html lang="fr">
    <head>
        <meta charset='utf-8'>
        <meta http-equiv="X-UA-Compatible" content="chrome=1">
        <meta name="viewport" content="width=device-width,maximum-scale=2">
        <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/all.js"></script>
        <link rel="stylesheet" type="text/css" media="screen" href="../../assets/css/style.css">
        <link rel="stylesheet" type="text/css" media="screen" href="../../assets/css/sidenav.css">
        <link rel="stylesheet" type="text/css" media="screen" href="../../assets/css/score.css">
        <link rel="stylesheet" type="text/css" media="screen" href="../../assets/css/hamburger.css">
        <link rel="stylesheet" type="text/css" media="screen" href="../../assets/css/stats.css"/>
        <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/hammer.js/2.0.8/hammer.js"></script>
        <script src="../statsManager.js"></script>
        <link href="https://fonts.googleapis.com/css?family=Montserrat|Raleway|Russo+One" rel="stylesheet">
        <link rel="shortcut icon" href="../favicon.ico">
        <title>Score <?= strtoupper($team) ?> | ADMIN | INSAT Accueil 2018</title>
        <!-- Matomo -->
        <script type="text/javascript">
            var _paq = _paq || [];
            /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
            _paq.push(['disableCookies']);
            _paq.push(['trackPageView']);
            _paq.push(['enableLinkTracking']);
            (function () {
                var u = "//etud.insa-toulouse.fr/~accueil_insa/analytics/";
                _paq.push(['setTrackerUrl', u + 'piwik.php']);
                _paq.push(['setSiteId', '1']);
                var d = document, g = d.createElement('script'), s = d.getElementsByTagName('script')[0];
                g.type = 'text/javascript';
                g.async = true;
                g.defer = true;
                g.src = u + 'piwik.js';
                s.parentNode.insertBefore(g, s);
            })();
        </script>
        <!-- End Matomo Code -->
    </head>
    <body id="main">
    <div class="background"></div>

    <div id="header-wrap" class="outer">
        <header class="inner">
            <h1 id="title">Administration</h1>
        </header>
    </div>
    <div class="stats-button-container">
        <a href="../../stats.php" class="stats-button">
            Retour sur le site
        </a>
    </div>
    <div id="main-fading-top-edge"></div>
    <div id="main-content-wrap" class="outer">
        <section id="main-content" class="inner">
            <h1>Editer Score <?= strtoupper($team) ?></h1>
            <p>
                <?= $description ?>
            </p>
            <div class="add-line" id="add-line-<?= $team ?>">
                <i class="fas fa-plus"></i>
            </div>
            <div class="edit-header">
                <div class="stat-log">Log</div>
                <div class="stat-points">Points</div>
                <div class="stat-trash"><i class='fas fa-trash'></i></div>
            </div>
            <table class="stats-table edit-stats stats-<?= $team ?>">
                <?php get_stats($team) ?>
            </table>

            <div class="save-score">
                <i class="fas fa-save"></i> Enregistrer
            </div>
            <br>
            <div class="stats-button-container">
                <a href="../../stats.php" class="stats-button">
                    Retour sur le site
                </a>
            </div>
        </section>
    </div>
    <div id="main-fading-bottom-edge"></div>
    </body>
    </html>

<?php

function get_stats($team)
{
    $dao = new Dao('../../');
    foreach ($dao->get_score_team($team) as $row) {
        $text = $row['text'];
        $points = $row['points'];
        ?>
        <tr class="entry">
            <td class="edit-text"><input type='text' value="<?= $text ?>"/></td>
            <td class="edit-points"><input type='number' value="<?= $points ?>"/></td>
            <td class='remove-line'><i class="fas fa-trash"></td>
        </tr>
        <?php
    }
}
